<?php // $Id: iInsertDrawer.php,v 1.1 2005/10/27 10:15:53 geothms Exp geothms $
session_start();
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") { // separa por tipo de utilizador
  require('headersubUsers.inc');
  require('menusubUsers.inc');
  echo "<meta http-equiv='refresh' content='0; url=../users.php' />";
  exit;  // os anonimos não têem acesso a esta página
}
else {
  require('headersubAdmins.inc');
  require('menusubAdmins.inc');
}
  
?>




<center>
<h3 class="maketitle">Geometric theorems - Insert a Drawer</h3>
</center>

<hr/>



<?php
require('loginsub.php');
?>

<?php

$pName           = $_POST['Name'];
$pVersion        = $_POST['Version'];
$pDescription    = $_POST['Description'];
$pURL            = $_POST['URL'];
$pEmail          = $_POST['Email'];
$pDateSubmission = $_POST['DateSubmission'];

// Formata os valores para posterior inserção na Tabela
if (!get_magic_quotes_gpc())
  { $pName           = addslashes('$pName');
    $pVersion        = addslashes('$pVersion');
    $pDescription    = addslashes('$pDescription');
    $pURL            = addslashes('$pURL');	 
    $pEmail          = addslashes('$pEmail');
    $pDateSubmission = addslashes('$pDateSubmission');
  }

$sqlInsertDrawer = 
     "INSERT INTO drawers
       (name,version,description,url,email,dateSubmission)
      VALUES 
       ('$pName','$pVersion','$pDescription','$pURL','$pEmail',
        '$pDateSubmission')";


$resultadoInsertDrawer = mysql_query($sqlInsertDrawer,$ligacao);

if (!$resultadoInsertDrawer)
   echo 'Error - Drawer not inserted!';
 else { // Vai tratar agora da inserção dos autores
   // Trata-se de um formulário com todos os campos escondidos
   // só o próximo passo é que trata da inserção de nova informação
   // Primeiro obtêm a identificação do Drawer
   $sqlDrawerId = "SELECT drawerId
                     FROM drawers
                    WHERE name='$pName'
                      AND version='$pVersion'";

   $resultadoDrawerId = mysql_query($sqlDrawerId,$ligacao);

   $linhaDrawerId = mysql_fetch_assoc($resultadoDrawerId);
   $pDrawerId = $linhaDrawerId['drawerId'];
   
   // Isto também pode ser feito com a função SQL, "LAST_INSERT" ???
   // !!!confirmar isto!!!

   echo '<center><h4>New Drawer Inserted - Now insert the Drawer Author(s) info</h4></center>'; 
   echo '<hr>';

   // Vai, eventualmente, acrescentar um novo autor

   // Formulário com todos os campos "hidden"
   echo "<form enctype='multipart/form-data' action='insertDrawerAuthor.php' method='post'>";
   echo "<table width='100%' bgcolor='white' cellpadding='4' cellspacing='4'>";
   echo "<tr>";
   echo "<td width='100%' colspan='8' align='center'>New Author Info</td>";
   // Toda a informação do Drawer tem de ser passado para o processador do
   // formulários para a introdução de autores, embora como hidden.
   echo "<input type='hidden' name='DrawerId' value='$pDrawerId'>";
   echo "<input type='hidden' name='Name' value='$pName'>";
   echo "<input type='hidden' name='Version' value='$pVersion'>";
   echo "<input type='hidden' name='Description' value='$pDescription'>";
   echo "<input type='hidden' name='URL' value='$pURL'>";
   echo "<input type='hidden' name='Email' value='$pEmail'>";
   echo "<input type='hidden' name='DateSubmission' value='$pDateSubmission'>";
   echo "<tr>";
   echo "<td width='100%' colspan='8' align='center'><input type='submit' value='&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Submit New Author's info &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'></td>";
   echo "</tr>  ";
   echo "</table>";
   echo "</form>";
 }
?>

<hr/>

<p>&nbsp;</p>

<?php
  require('footer.inc');
?>
